
<cfoutput>
	<script src="#session.sWebRoot#/Lib/jquery/jquery.formhtml.js?version=#application.cache.qryAdminInfo.Version#"></script>
	<script>
		function paginationSubmit(sNextType){
			$('##nextType').val(sNextType);
			$('##frmPagination').submit();
		}
		
		$(document).ready(function(){
			
			$('##responseSearchResults').css({
					cursor: 'pointer'
				})
				.click(function(){
					location.href = 'search_response_results.cfm?back=true&formID=#url.formID#';
				})
			;
			
			$('##responseTable').css({
					cursor: 'pointer'
				})
				.click(function(){
					location.href = 'search_response_results.cfm?formID=#url.formID#&viewall=true';
				})
			;
			
			$('##responseSummary').css({
					cursor: 'pointer'
				})
				.click(function(){
					$('##viewType').val(2);
					$('##frmPagination').attr('action', 'search_response_results.cfm?formID=#url.formID#').submit();
				})
			;
			
			$('##responseSearch').css({
					cursor: 'pointer'
				})
				.click(function(){
					location.href= 'search_responses.cfm?formID=#url.formID#';
				})
			;
			
			$('##exportCSV').css({
					cursor: 'pointer'
				})
				.click(function(){
					// get excel export of response
					$('##frmExport').attr('action', 'response_csv.cfm').submit();
				})	
			;
			
			$('##exportPDF').css({
					cursor: 'pointer'
				})
				.click(function(){	
					$.ic.fnResponseToPDF();
				})	
			;
			
			$.ic.fnGoToResponse = function(){
				var responseNo = $.trim($('##txt_go_to').val());
				if (responseNo.length != 0 && responseNo.isNumber(3)) {
					location.href = 'viewform.cfm?formID=#url.formID#&responseNo=' + responseNo;
				} else {
					alertDialog({
						message: "You must enter a response submission number",
						focusObj: $('##txt_go_to')
					});
				}			
				return false;
			}
			
			$('##btn_go_to').click(function(){
				return $.ic.fnGoToResponse();
			});
			$('##txt_go_to').keyup(function(e){
				if (e.keyCode == '13') {
					return $.ic.fnGoToResponse();
				}
			});
			
			$('##deleteFormResponse').click(function(){
				alertDialog({
					title: "Delete Confirmation",
					message: "You are about to <b>DELETE</b> this form response.<br/><br/>Do you wish to continue?",
					width: 400,
					buttons: {"OK": function(){
							var loc = 'response_submit.cfm?formID=#url.formID#&responseID=#url.responseID#&delete=true#IIf(IsDefined("url.pending") AND url.pending, DE("&pending=1"), DE(""))#';
							if ($('input[name="prevIndex"]').length) {
								loc += '&prevIndex=' + $('input[name="prevIndex"]').val();
							}
							location.href = loc; 
							$(this).dialog("close");
						},
						"Cancel": function(){
							$(this).dialog("close");
						}
					}
				});
			});
			
			$('##emailResponse').css({
					cursor: 'pointer'
				})
				.click(function(){
					$('##emailResponseDialog').dialog({
						title: "Email Form Response",
						width: 400,
						modal: true,
						resizable: false,
						buttons: {
							"Submit": function(){
								var cfcFormResponse = new FormResponseProxy();
								cfcFormResponse.setHTTPMethod('post');
								var oEmail = {};
								oEmail.sEmail = $('input[name="txtEmail"]').val();
								oEmail.sComment = $('textarea[name="txtComment"]').val();
								
								$.ic.fnAjaxProxy(cfcFormResponse, 'emailResponse', {
									nFormID: #url.formID#,
									nResponseID: #url.responseID#,
									oEmail: oEmail
								});
								
								$(this).dialog("close");
							},
							"Cancel": function(){
								$(this).dialog("close");
							}
						}
					});
			});
			
			$.ic.fnResponseToPDF = function(){
				
				// get response info
				var meta = $('##responseInfo').clone();
				meta.find('.formTitle').show();
				meta = meta.html();
				
				// submit response meta info to cfdocument to generate PDF
				$('##metaData').val(meta);
				$('##frmExport').attr('action', 'response_pdf.cfm').submit();
			}
			
			<!--- short circuit for old links that take user directly to PDF export options --->
			<cfif IsDefined("url.responseID") AND url.responseID AND IsDefined("url.pdf")>
				$.ic.fnResponseToPDF();
			</cfif>
		});
	</script>
	<div id="emailResponseDialog" style="display: none;">
		<table class="lightPadding">
		<tr>
			<td style="vertical-align: top;">To</td>
			<td><input type="text" name="txtEmail" value="" /><br><span class="info">Separate Emails with a Semi-Colon [;]</span></td>
		</tr>
		<tr>
			<td style="vertical-align: top;">Comment</td>
			<td>
				<textarea name="txtComment" cols="35" rows="5" wrap="physical"></textarea><br>
				<span class="info">will appear at top of email</span>
			</td>
		</tr>
		</table>
	</div>
	<table style="float: right;">
	<tr>
		<td style="text-align: right; white-space: nowrap;">
			<table class="lightPadding">
			<tr>
				<cfif IsDefined("session.fb") AND session.fb.formID EQ url.formID>
					<td><img id="responseSearchResults" src="#session.sImageRoot#/Formbuilder/find_again.png" title="back to search results" /></td>
				</cfif>
				<cfif url.archive EQ 0>
					<td><img id="responseTable" src="#session.sImageRoot#/Formbuilder/table_view_small.png" title="table view" /></td>
					<td><img id="responseSummary" src="#session.sImageRoot#/Formbuilder/chart_view_small.png" title="summary view" /></td>
				</cfif>
				<td><img id="responseSearch" src="../Graphics/Buttons/Default/search.png" title="search responses" /></td>
				<td><img id="exportCSV" src="../graphics/buttons/xls.gif" title="export to excel" /></td>
				<td><img id="exportPDF" src="#session.sImageRoot#/buttons/pdf.gif" title="print to pdf" /></td>
				<td><img id="emailResponse" src="../graphics/buttons/Default/useremail.gif" title="email record"></td>
			</tr>
			</table>
		</td>
		<form id="frmExport" method="post" target="_blank">
			<input type="hidden" id="formID" name="formID" value="#url.formID#" />
			<input type="hidden" id="responseID" name="responseID" value="#url.responseID#" />
			<input type="hidden" id="metaData" name="metaData" value="" />
		</form>
		<td style="text-align: center; white-space: nowrap;">
			<table class="lightPadding" style="width: 100%;">
			<tr>
				<cfif eform.displayIDs>
					<td	style="text-align: right;">
						<table class="lightPadding" style="width: 100%;">
						<tr>
							<td>Search ID:</td>
							<td><input type="text" name="txt_go_to" id="txt_go_to" value="" size="4"></td>
							<td><input type="button" class="button" id="btn_go_to" name="btn_go_to" value="Go" size="4"></td>
						</tr>
						</table>
					</td>
				</cfif>
				<cfif IsDefined("nCurrentIndex")>
					<td style="text-align: center;">
						<cfif IsDefined("url.archive") AND url.archive EQ 1>
							<cfset sArchive = "&archive=1">
						<cfelse>
							<cfset sArchive = "">
						</cfif>
						<cfif IsDefined("url.pending") AND url.pending EQ 1>
							<cfset sPending = "&pending=1">
						<cfelse>
							<cfset sPending = "">
						</cfif>
						<form action="viewform.cfm?FormID=#url.formID#&viewResponses=true&searchResults=true&sort=#UrlEncodedFormat(url.sort)##sArchive##sPending#" id="frmPagination" method="post">
							<input type="hidden" name="formID" value="#url.formID#" />
							<input type="hidden" name="viewType" id="viewType" value="1" />
							<input type="hidden" name="nextType" id="nextType" value="" />
							<input type="hidden" name="prevIndex" id="prevIndex" value="#nCurrentIndex#" />
							
							<table class="lightPadding">
							<tr>
								<td style="text-align: center;" class="content">
									<cfif nCurrentIndex NEQ 1>
										<a href="javascript:paginationSubmit('first');"><img src="../graphics/buttons/default/firstrecord.gif" title="first record"></a> <a href="javascript:paginationSubmit('prev');"><img src="../graphics/buttons/default/previousrecord.gif" title="previous record"></a>
									</cfif>
								</td>
								<td style="text-align: center; white-space: nowrap;" class="content">
									#nCurrentIndex# of #nTotalRecords#
								</td>
								<td style="text-align: center; white-space: nowrap;" class="content">
									<cfif nCurrentIndex NEQ nTotalRecords>
										<a href="javascript:paginationSubmit('next');"><img src="../graphics/buttons/default/nextrecord.gif" title="next record"></a> <a href="javascript:paginationSubmit('last');"><img src="../graphics/buttons/default/lastrecord.gif" title="last record"></a>
									</cfif>
								</td>
							<tr>
							</table>
						</form>
					</td>
				</cfif>
				<cfif oPerm.bDelete>
					<td>
						<a href="javascript: void(0);"><img src="../graphics/buttons/default/boxdel.gif" id="deleteFormResponse" title="delete record" height="16" width="16"></a>
					</td>
				</cfif>
			</tr>
			</table>
		</td>
	</tr>
	</table>
	<div class="clear"></div>
</cfoutput>