<!---
********************************************************************************************************
Author:		CL
Type:		Helper Function for devtool progress_bar
Purpose:	This function is called by the devtool progress_bar to continually get the status of the process script.
			It is the responsibility of the process script to call the devtool progress_bar_increment to update the status
				
********************************************************************************************************
--->
<cfsetting showdebugoutput="no">

<cfset jsonStatusReturn=StructNew()>

<cfif isDefined("session.jquery.sMessage")>
	<cfset jsonStatusReturn.sMessage = session.jquery.sMessage>
<cfelse>
	<cfset jsonStatusReturn.sMessage = "">
</cfif>

<cfif IsDefined("session.jquery.nNumIntervals")>
	<cfset jsonStatusReturn.nNumIntervals = session.jquery.nNumIntervals>
<cfelse>
	<cfset jsonStatusReturn.nNumIntervals = 1>
</cfif>

<cfif IsDefined("session.jquery.nInterval")>
	<cfset jsonStatusReturn.nInterval = session.jquery.nInterval>
<cfelse>
	<cfset jsonStatusReturn.nInterval = 0>
</cfif>

<cfif IsDefined("session.jquery.nSubNumIntervals")>
	<cfset jsonStatusReturn.nSubNumIntervals = session.jquery.nSubNumIntervals>
<cfelse>
	<cfset jsonStatusReturn.nSubNumIntervals = 1>
</cfif>

<cfif IsDefined("session.jquery.nSubInterval")>
	<cfset jsonStatusReturn.nSubInterval = session.jquery.nSubInterval>
<cfelse>
	<cfset jsonStatusReturn.nSubInterval = 0>
</cfif>

<cfoutput>{"nInterval":#jsonStatusReturn.nInterval#,"sMessage":"#jsonStatusReturn.sMessage#","nNumIntervals":"#jsonStatusReturn.nNumIntervals#","nSubNumIntervals":"#jsonStatusReturn.nSubNumIntervals#","nSubInterval":"#jsonStatusReturn.nSubInterval#"}</cfoutput>